Name:      qubes-mgmt-salt
Version:   4.1.16
Release:   1%{?dist}
Summary:   Installs salts configuration files, directory layout and qubesctl
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  salt >= 2015.5
Requires:  salt-minion
Requires:  qubes-mgmt-salt-base
%if 0%{?rhel} == 7
BuildRequires: python%{python3_pkgversion}-PyYAML
%else
BuildRequires: python%{python3_pkgversion}-pyyaml
%endif
BuildRequires: make
BuildRequires: tree
BuildRequires: pandoc
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel

Source0: %{name}-%{version}.tar.gz

%description
Installs salts configuration files, directory layout and qubesctl

- qubes-mgmt-salt:
    Installs salt and base configuration and modules

- qubes-mgmt-salt-dom0:
    qubes-mgmt-salt + dom0 depends

- qubes-mgmt-salt-dom0-formulas:
    All dom0 formulas

- qubes-mgmt-salt-vm:
    qubes-mgmt-salt + VM depends

- qubes-mgmt-salt-vm-formulas:
    All VM formulas

- qubes-mgmt-salt-extra-formulas:
    All extra formulas (qubes-mgmt-all-*)

%package config
Summary:   Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.
Group:     System administration tools
Requires:  salt
Requires:  salt-minion
Conflicts:  qubes-mgmt-salt-base-top < 4.1.0
%if 0%{?rhel} == 7
BuildRequires: python%{python3_pkgversion}-PyYAML
%else
BuildRequires: python%{python3_pkgversion}-pyyaml
%endif
BuildArch: noarch

%description config
Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.

%package shared-formulas
Summary:   All Qubes+Salt Management shared (qubes-mgmt-all-*) formulas
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt

%description shared-formulas
Qubes+Salt Management shared (qubes-mgmt-all-*) formulas.

%package admin-tools
Summary:    Management tools integrating dom0 and VM management
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
# doesn't work with old Admin API policy layout
Conflicts: qubes-core-dom0 < 4.1.12

%description admin-tools
Tools to integrate dom0 and VM management into a single qubesctl tool.

%prep
%setup -q

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir} PYTHON=%{__python3}
make install-dom0 DESTDIR=%{buildroot} PYTHON=%{__python3}
rm -rf %{buildroot}/srv/formulas/.gitignore

%files
%defattr(-,root,root)
%attr(766, root, root)
%{_mandir}/man1/qubesctl.1*

%files config
%defattr(-,root,root)
%config(noreplace) /etc/salt/minion.d/f_defaults.conf
/etc/salt/minion.dist
/etc/salt/minion.dom0.conf
/etc/salt/minion.vm.conf
/etc/salt/spm
/etc/salt/spm.repos.d/local.repo

%attr(750, root, root) %dir /srv/formulas

%attr(750, root, root) %dir /srv/pillar
%config(noreplace) /srv/pillar/top.sls
/srv/pillar/top.sls.old

%attr(750, root, root) %dir /srv/reactor
/srv/reactor/import_keys
/srv/reactor/sync_all.sls

%attr(750, root, root) %dir /srv/salt
%config(noreplace) /srv/salt/top.sls
/srv/salt/top.jinja
/srv/salt/top.sls.old

%files admin-tools
/usr/bin/qubesctl
%dir %{python3_sitelib}/qubessalt-*egg-info
%{python3_sitelib}/qubessalt-*egg-info/*
%dir %{python3_sitelib}/qubessalt
%{python3_sitelib}/qubessalt/__init__.py*
%{python3_sitelib}/qubessalt/__pycache__/*


%files shared-formulas
%defattr(-,root,root)

%changelog
* Sat Sep 17 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt.git

* Sat Sep 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f5fe026
- version 4.1.16

* Thu Sep 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 613cfb9
- Backport fix for saltstack/salt#62636

* Wed Sep 07 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef0a184
- version 4.1.15

* Wed Sep 07 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4366a2b
- Apply salt 60003 bug workaround for salt 3005 too

* Wed Sep 07 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fa0c70
- Move applying salt 60003 bug into dom0 part

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ed1cc05
- Add Qubes Builder v2 integration

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bd5dcbe
- Remove deprecated content

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d895660
- Drop Travis CI

* Fri May 13 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 610e9e2
- version 4.1.14

* Wed May 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2bdc39c
- Place VMRootShell policy file before loading legacy policy

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8679e34
- Drop Travis CI

* Thu Oct 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4bac7f
- version 4.1.13

* Tue Oct 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab097bf
- ci: don't skip 'qubes-mgmt-salt' common package in VM

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f59d3a8
- spec: add BR make

* Wed Jun 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 53cd2f3
- version 4.1.12

* Tue Jun 01 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - dc022ce
- Only apply Salt workaround on Fedora qubes

* Tue May 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1882931
- version 4.1.11

* Sun May 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d3b029
- Apply workaround for highstate rendering failure

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5a92c27
- spec: add BR make

* Fri Apr 16 2021 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - cc42759
- removed templates apps and standalones from the muturally exclusive group

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18f819f
- Break long line

* Fri Jan 15 2021 keyandthegate <75840808+keyandthegate@users.noreply.github.com> - f27c0cd
- Don't throw away salt stderr

* Mon Dec 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30db67a
- version 4.1.10

* Mon Dec 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b6768cd
- Fix reproducibility - explicit umask set

* Thu Dec 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 01ec3f6
- Fix build with python3 for CentOS

* Thu Dec 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 900c0ea
- version 4.1.9

* Fri Nov 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 672e1f8
- Drop unused VM packages

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f626b0a
- debian: drop dependency on qubes-mgmt-salt-vm-python-pip

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40fbe93
- gitlab-ci: exclude install dom0 packages in vm

* Tue Nov 24 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 0c6cc81
- Invoke qubes.SaltLinuxVM as root

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a546334
- Add .gitlab-ci.yml

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a62563
- version 4.1.8

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c2dec9
- Do not open-code EOF marker twice

* Sat Nov 07 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - be9002e
- Support newer Salt versions

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5759d1
- version 4.1.7

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3372067
- rpm: add specific version dependency for qubes-core-dom0

* Sun May 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f631a9d
- Modify qubesctl to use the new policy format

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 610ddaa
- version 4.1.6

* Thu Apr 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5058aa2
- travis: import from qubes-continuous-integration

* Sat Mar 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a8b5b6
- version 4.1.5

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b4dcfc4
- spec: pyyaml is case sensitive in CentOS

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e49ab3a
- spec: don't hardcode 'python3' prefix

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 58d113f
- travis: add CentOS 7 build

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39cf88d
- version 4.1.4

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f2ab14
- Log when considering empty output a failure

* Tue Mar 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ffef29
- Make qubes-mgmt-salt-base-overrides obsolete for R4.1

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd7bf10
- Report empty output as a failure

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b69d307
- qubesctl: handle StandaloneVMs targets

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f20c610
- qubesctl: make PEP8 happy

* Fri Jan 24 2020 Johanna Abrahamsson <johanna@assured.se> - e75e528
- Switch PyYAML dependency to python3-pyyaml

